Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 915909 (qt5-qtdeclarative) - Review Request: qt5-qtdeclarative - Qt5 - QtDeclarative component
Summary: Review Request: qt5-qtdeclarative - Qt5 - QtDeclarative component
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtdeclarative
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gregor Tätzner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: qt5-qtbase, qt5-qtbase-review qt5-qtjsbackend
Blocks: kde-reviews qt-reviews qt5-qtwebkit qt5-qtmultimedia
TreeView+ depends on / blocked
 
Reported: 2013-02-26 18:38 UTC by Rex Dieter
Modified: 2013-09-06 17:09 UTC (History)
5 users (show)

Fixed In Version: qt5-qtsvg-5.0.2-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-02 13:19:38 UTC
gregor: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
pre-review (deleted)
2013-04-18 16:44 UTC, Gregor Tätzner
no flags Details

Description Rex Dieter 2013-02-26 18:38:11 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdeclarative.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdeclarative-5.0.1-1.fc18.src.rpm
Description: Qt5 - QtDeclarative component
Fedora Account System Username: rdieter

Comment 1 Rex Dieter 2013-04-12 16:20:40 UTC
Rats, hit a conflict today working on 5.0.2:

  file /usr/bin/qmlplugindump from install of qt5-qtdeclarative-5.0.2-1.fc18.x86_64 conflicts with file from package qt-devel-1:4.8.4-14.fc18.x86_64


Anyway, work in progress:

Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdeclarative.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdeclarative-5.0.2-1.fc18.src.rpm

%changelog
* Thu Apr 11 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-1
- 5.0.2

Comment 2 Rex Dieter 2013-04-12 17:49:09 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdeclarative.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdeclarative-5.0.2-2.fc18.src.rpm

%changelog
* Fri Apr 12 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-2
- fix conflicts with qt4-devel

Comment 3 Gregor Tätzner 2013-04-18 16:44:03 UTC
Created attachment 737355 [details]
pre-review

looks good, just some items:

- license tag doesn't reflect the actual licenses: LGPL, GPL and FDL

- include license files in %doc

- also the changelog within dist directory

- imho examples should also be packaged (doc-subpkg?)

- consider to suffix all binaries with -qt5, not only qmlplugindump

- lots of hidden files in debuginfo (*.moc)

Comment 4 Rex Dieter 2013-05-09 14:09:51 UTC
Some comments before posting new spec:

- I don't see anything packaged that actually uses FDL.  If you do, can you please clarify where it is?

- adding an -examples subpkg would be nice, but I'd rather do that post review after dealing with blocker items

- consider to suffix all binaries with -qt5:  (current) strategy is too only add postfixes for conflicting items

- lots of hidden files in debuginfo (*.moc) : I'm not eager to modify upstream buildsystem if the only purpose is to satisfy rpmlint's mostly-harmless warning here.

Comment 5 Rex Dieter 2013-05-09 14:11:55 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdeclarative.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtdeclarative-5.0.2-2.fc18.src.rpm

%changelog
* Fri Apr 12 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-2
- fix conflicts with qt4-devel
- include license files, dist/changes*

Comment 6 Rex Dieter 2013-05-14 16:04:50 UTC
ping, any remaining review blockers or fixes you'd like to see?

Comment 7 Gregor Tätzner 2013-05-14 17:36:49 UTC
(In reply to comment #4)
> Some comments before posting new spec:
> 
> - I don't see anything packaged that actually uses FDL.  If you do, can you
> please clarify where it is?

Nay, we don't include any *.qdoc files. Maybe you wanna add a comment so you won't forget.


(In reply to comment #6)
> ping, any remaining review blockers or fixes you'd like to see?

no further objections from my side...gonna approve this component.


diff -r -Nup qt5-qtdeclarative-5.0.2-1.fc18.src/qt5-qtdeclarative.spec qt5-qtdeclarative-5.0.2-2.fc18.src/qt5-qtdeclarative.spec
--- qt5-qtdeclarative-5.0.2-1.fc18.src/qt5-qtdeclarative.spec   2013-04-11 18:28:16.000000000 +0200
+++ qt5-qtdeclarative-5.0.2-2.fc18.src/qt5-qtdeclarative.spec   2013-05-09 16:10:21.000000000 +0200
@@ -4,9 +4,9 @@
 Summary: Qt5 - QtDeclarative component
 Name:    qt5-%{qt_module}
 Version: 5.0.2
-Release: 1%{?dist}
+Release: 2%{?dist}
 
-# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
+# See LICENSE.GPL LICENSE.LGPL LGPL_EXCEPTION.txt, for details
 License: LGPLv2 with exceptions or GPLv3 with exceptions
 Url: http://qt-project.org/
 Source0: http://releases.qt-project.org/qt5/%{version}%{?pre:-%{pre}}/submodules/%{qt_module}-opensource-src-%{version}.tar.xz
@@ -38,7 +38,6 @@ Requires: %{name}-devel%{?_isa} = %{vers
 
 
 %build
-
 %{_qt5_qmake}
 
 make %{?_smp_mflags}
@@ -53,7 +52,7 @@ mkdir %{buildroot}%{_bindir}
 pushd %{buildroot}%{_qt5_bindir}
 for i in * ; do
   case "${i}" in
-    foobar)
+    qmlplugindump)
       mv $i ../../../bin/${i}-qt5
       ln -s ../../../bin/${i}-qt5 .
       ln -s ../../../bin/${i}-qt5 $i
@@ -83,17 +82,19 @@ popd
 %postun -p /sbin/ldconfig
 
 %files 
+%doc LICENSE.GPL LICENSE.LGPL LGPL_EXCEPTION.txt
+%doc dist/changes*
 %{_qt5_libdir}/libQt5Qml.so.5*
 %{_qt5_libdir}/libQt5Quick.so.5*
 %{_qt5_libdir}/libQt5QuickParticles.so.5*
 %{_qt5_libdir}/libQt5QuickTest.so.5*
-%{_qt5_bindir}/qml*
-%{_bindir}/qml*
 %{_qt5_plugindir}/accessible/libqtaccessiblequick.so
 %{_qt5_plugindir}/qmltooling/
 %{_qt5_archdatadir}/qml/
 
 %files devel
+%{_bindir}/qml*
+%{_qt5_bindir}/qml*
 %{_qt5_headerdir}/Qt*/
 %{_qt5_libdir}/libQt5Qml.so
 %{_qt5_libdir}/libQt5Qml.prl
@@ -109,6 +110,10 @@ popd
 
 
 %changelog
+* Fri Apr 12 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-2
+- fix conflicts with qt4-devel
+- include license files, dist/changes*
+
 * Thu Apr 11 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-1
 - 5.0.2

Comment 8 Rex Dieter 2013-05-14 17:57:04 UTC
yay, thanks!

New Package SCM Request
=======================
Package Name: qt5-qtdeclarative
Short Description: Qt5 - QtDeclarative components
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18 f19
InitialCC:

Comment 9 Rex Dieter 2013-05-14 18:03:39 UTC
fyi, before issuing any official builds, need to fix another conflict (with qt-creator this time):

file /usr/bin/qmlprofiler from install of qt5-qtdeclarative-devel-5.0.2-2.fc17.x86_64 conflicts with file from package qt-creator-2.4.1-2.fc17.x86_64

Comment 10 Gwyn Ciesla 2013-05-14 18:03:50 UTC
Git done (by process-git-requests).

Comment 11 Rex Dieter 2013-06-21 14:42:46 UTC
imported, waiting on qt5-qtjsbackend review (bug #915903 ) before doing any builds.

Comment 12 Fedora Update System 2013-08-05 13:52:09 UTC
qt5-qtsvg-5.0.2-1.fc19,qt5-qtwebkit-5.0.2-7.fc19,qt5-qtdeclarative-5.0.2-3.fc19,qt5-qtjsbackend-5.0.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt5-qtsvg-5.0.2-1.fc19,qt5-qtwebkit-5.0.2-7.fc19,qt5-qtdeclarative-5.0.2-3.fc19,qt5-qtjsbackend-5.0.2-2.fc19

Comment 13 Fedora Update System 2013-08-05 13:53:07 UTC
qt5-qtsvg-5.0.2-1.fc18,qt5-qtwebkit-5.0.2-7.fc18,qt5-qtdeclarative-5.0.2-3.fc18,qt5-qtjsbackend-5.0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qt5-qtsvg-5.0.2-1.fc18,qt5-qtwebkit-5.0.2-7.fc18,qt5-qtdeclarative-5.0.2-3.fc18,qt5-qtjsbackend-5.0.2-2.fc18

Comment 14 Fedora Update System 2013-08-15 02:48:06 UTC
qt5-qtsvg-5.0.2-1.fc19, qt5-qtwebkit-5.0.2-7.fc19, qt5-qtdeclarative-5.0.2-3.fc19, qt5-qtjsbackend-5.0.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-08-15 03:02:05 UTC
qt5-qtsvg-5.0.2-1.fc18, qt5-qtwebkit-5.0.2-7.fc18, qt5-qtdeclarative-5.0.2-3.fc18, qt5-qtjsbackend-5.0.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Richard Shaw 2013-09-06 16:14:50 UTC
Package Change Request
======================
Package Name: qt5-qtdeclarative
New Branches: el6
Owners: hobbes1069
InitialCC: 

Needed for future review request.
Co-maintainers welcomed!

Comment 17 Gwyn Ciesla 2013-09-06 17:09:44 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.